Subject: RE: bug#12507: [debbugs-tracker] Processed: severity 12507 wishlist

From: "Drew Adams" <[email-masked]>
Date: Sat, 29 Sep 2012 09:50:00 -0700

> What I want to say is, why writing to buffer "*Bookmarks*", renaming
> this buffer to the filename buffer, and then saving it?
> Just use find-file-noselect, write data and save.

I see.  You're talking only about the first arg of `with-current-buffer'.  I
thought you were talking about `write-file' vs `save-buffer' and claiming that
there were two writes with the former.

Yes, of course.  There is no need to use a different buffer, *Bookmarks*,
instead of the return value of `find-file-noselect'.  I thought we had already
covered that.

There still might be a reason to use `write-file' instead of `save-buffer'.  But
as I say, what's important is to decide about whether to allow backing up (and
visiting the file).